Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface Symbol

All Known Subinterfaces:
  LineSymbol, PointSymbol, PolygonSymbol, TextSymbol

    public interface Symbol

Abstract superclass of the various symbol classes.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Object` | `accept(StyleVisitor visitor, Object extraData)` Accepts a visitor.
`InternationalString` | `getAbstract()` Returns a human readable, prose description of this symbol.
`String` | `getGeometryAttribute()` Returns the name of the geometry feature attribute to use for drawing.
`String` | `getName()` Returns a name for this symbol.
`InternationalString` | `getTitle()` Returns the human readable title of this symbol.
`void` | `setAbstract(InternationalString abs)` Sets the human readable, prose description of this symbol.
`void` | `setGeometryAttribute(String name)` Sets the name of the geometry feature attribute that will be used for drawing this symbol.
`void` | `setName(String name)` Sets the name for this symbol.
`void` | `setTitle(InternationalString name)` Sets the human readable title of this symbol.

Method Detail

### getGeometryAttribute

    String getGeometryAttribute()

  Returns the name of the geometry feature attribute to use for drawing. May return null if this symbol is to use the default geometry attribute, whatever it may be.

### setGeometryAttribute

    void setGeometryAttribute(String name)

  Sets the name of the geometry feature attribute that will be used for drawing this symbol. See `getGeometryAttribute()` for details.

### getName

    String getName()

  Returns a name for this symbol. This can be any string that uniquely identifies this symbol within a given canvas. It is not meant to be human-friendly. (The "title" property is meant to be human friendly.)

### setName

    void setName(String name)

  Sets the name for this symbol. See `getName()` for details.

### getTitle

    InternationalString getTitle()

  Returns the human readable title of this symbol. This can be any string, but should be fairly short as it is intended to be used in list boxes or drop down menus or other selection interfaces.

### setTitle

    void setTitle(InternationalString name)

  Sets the human readable title of this symbol. See `getTitle()` for details.

### getAbstract

    InternationalString getAbstract()

  Returns a human readable, prose description of this symbol. This can be any string and can consist of any amount of text.

### setAbstract

    void setAbstract(InternationalString abs)

  Sets the human readable, prose description of this symbol. See `getAbstract()` for details.

### accept

    @Extension
    Object accept(StyleVisitor visitor,
                            Object extraData)

  Accepts a visitor. Implementations of all subinterfaces must have with a method whose content is the following:

      return visitor.visit(this, extraData);

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.